jQuery 1.8 / 1.9

Das jQuery Project hat einen Blogpost rausgehauen, der die erste Beta von jQuery 1.8 vorstellt. Gleichzeitig wird aber auch ganz allgemein darauf hingewiesen, was sich in den Version 1.8 und 1.9 ändert wird.

Im Großen kann man das zusammenfassen (API-relevant):

  • jQuery wird modular, d.h. man kann angepasste, kleinere Varianten bauen
  • Deprecated-Marker für  Zeug wie: $.browser, $.sub, jqXHR.success, jqXHR.error, jqXHR.complete (seit 1.5 durch Deferred). In 1.9 verschwindet es dann, und ist dann nur noch über das spezielle 1.9er Kompatibilitätsplugin erreichbar

Der Blogpost zeichnet auch noch die Built-in Fähigkeit aus, das jQuery nun sowohl automatisch Vendor-Präfixe nutzt und Animations besser unterstützt. Ob damit so etwas wie jQuery++ Animations gemeint ist?

Kommentar verfassen

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.